Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.Checkpoint Method (UInt32, UInt32)
DatabaseEnvironment Class See Also

If there has been any logging activity in the database environment since the last checkpoint, flush the underlying memory pool, write a checkpoint record to the log, and then flush the log.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public void Checkpoint(
    	uint kbytesWritten,
    	uint minutesElapsed
    )

Visual Basic (Declaration)
    Public Sub Checkpoint ( _
    	kbytesWritten As UInteger, _
    	minutesElapsed As UInteger _
    )

Visual C++
    public:
    void Checkpoint(
    	unsigned int kbytesWritten,
    	unsigned int minutesElapsed
    )

#### Parameters

kbytesWritten
  Type: System..::.UInt32
  A checkpoint will be done if more than kbytesWritten kilobytes of log data have been written since the last checkpoint.

minutesElapsed
  Type: System..::.UInt32
  A checkpoint will be done if more than minutesElapsed minutes have passed since the last checkpoint.

# See Also

DatabaseEnvironment Class
Checkpoint Overload
BerkeleyDB Namespace